A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
sparseGetValues
ArrayFire Functions | ArrayFire Functions by Category » Linear Algebra » Sparse functions

Returns reference to the values component of the sparse array More...

## Functions
AFAPI array | sparseGetValues (const array in)
AFAPI af_err | af_sparse_get_values (af_array *out, const af_array in)

## Detailed Description

Returns reference to the values component of the sparse array

Values is the af::array containing the non-zero elements of the dense matrix.

## Function Documentation

## ◆ af_sparse_get_values()

AFAPI af_err af_sparse_get_values | ( | af_array * | out,
|  | const af_array | in )

Parameters

  [out] | out | af_array for the non-zero elements component of the sparse array
  [in] | in | is the input sparse matrix

Returns
  AF_SUCCESS if the execution completes properly

## ◆ sparseGetValues()

AFAPI array sparseGetValues | ( | const array | in | ) |

Parameters

  [in] | in | is the input sparse matrix

Returns
  af::array for the non-zero elements component of the sparse array